# Makefile for group directory of CDEV
#
# cdev group directory
#
# Makefile,v
# Revision 1.12  1998/08/17  14:04:59  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.11  1998/01/30  13:49:17  akers
# Ongoing development
#
# Revision 1.10  1998/01/14  14:26:38  chen
# add cdevMonitorObj
#
# Revision 1.9  1997/03/03  17:35:58  chen
# add buffering to channel access connection
#
# Revision 1.8  1996/09/20  12:24:53  akers
# Changes added for Release 1.4
#
# Revision 1.6  1996/06/26  15:54:15  akers
# Modifications to support multiple OS Versions
#
# Revision 1.5  1996/05/14  20:38:12  akers
# Makefile modifications
#
# Revision 1.4  1995/12/08  15:32:45  chen
# change filenames
#
# Revision 1.3  1995/11/14  17:40:49  chen
# new makefile
#
#
include ../Makefile.config


ifeq ($(INCDIR), )
	INCDIR = ../..
endif

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

OBJS =  $(OBJTYPE)/cdevBlockList.o \
	$(OBJTYPE)/cdevGroup.o \
	$(OBJTYPE)/cdevExecGroup.o \
	$(OBJTYPE)/cdevTranObj.o \
	$(OBJTYPE)/cdevExecObj.o 

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
			
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
	
